#ifndef _MQTT_H_
#define _MQTT_H_

#include <WString.h>
#include <PubSubClient.h>

#include <ArduinoJson.h>
#include <ArduinoYaml.h>

class MQTT
{

public:
    MQTT(YAMLNode *settings, MQTT_CALLBACK_SIGNATURE);
    void connect();
    void send(String);
    void loop();

private:
    YAMLNode *settings = nullptr;
    PubSubClient *client = nullptr;
};

#endif