#include "settings.hpp"
#include <SD.h>

YAMLNode *settings_load()
{
    Serial.println("Loading settings");
    if (!SD.exists("/settings.yml"))
    {
        Serial.println("settings.yml not found");
        return nullptr;
    }

    File settingsFile = SD.open("/settings.yml");
    YAMLNode node = YAMLNode::loadStream(settingsFile);
    settingsFile.close();

    return new YAMLNode(node);
}